<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.analysis.SRaOverWaterPollutionTraceabilityMapper">
  <resultMap id="BaseResultMap" type="cn.cecep.talroad.domain.analysis.SRaOverWaterPollutionTraceability">
    <!--@mbg.generated-->
    <!--@Table s_ra_over_water_pollution_traceability-->
    <id column="id" jdbcType="VARCHAR" property="id" />
    <result column="outlet_code" jdbcType="VARCHAR" property="outletCode" />
    <result column="outlet_name" jdbcType="VARCHAR" property="outletName" />
    <result column="outlet_number" jdbcType="VARCHAR" property="outletNumber" />
    <result column="factory_id" jdbcType="VARCHAR" property="factoryId" />
    <result column="factory_name" jdbcType="VARCHAR" property="factoryName" />
    <result column="monitoring_point_name" jdbcType="VARCHAR" property="monitoringPointName" />
    <result column="emission_method" jdbcType="VARCHAR" property="emissionMethod" />
    <result column="drainage_direction" jdbcType="VARCHAR" property="drainageDirection" />
    <result column="emission_behavior" jdbcType="VARCHAR" property="emissionBehavior" />
    <result column="intermittent_emission_period" jdbcType="VARCHAR" property="intermittentEmissionPeriod" />
    <result column="receiving_sewage_plant_name" jdbcType="VARCHAR" property="receivingSewagePlantName" />
    <result column="receiving_sewage_plant_code" jdbcType="VARCHAR" property="receivingSewagePlantCode" />
    <result column="receiving_water_name" jdbcType="VARCHAR" property="receivingWaterName" />
    <result column="receiving_target" jdbcType="VARCHAR" property="receivingTarget" />
    <result column="estuary_name" jdbcType="VARCHAR" property="estuaryName" />
    <result column="estuary_code" jdbcType="VARCHAR" property="estuaryCode" />
    <result column="outlet_longitude" jdbcType="VARCHAR" property="outletLongitude" />
    <result column="outlet_latitude" jdbcType="VARCHAR" property="outletLatitude" />
    <result column="receiving_sewage_plant_longitude" jdbcType="VARCHAR" property="receivingSewagePlantLongitude" />
    <result column="receiving_sewage_plant_latitude" jdbcType="VARCHAR" property="receivingSewagePlantLatitude" />
    <result column="estuary_longitude" jdbcType="VARCHAR" property="estuaryLongitude" />
    <result column="estuary_latitude" jdbcType="VARCHAR" property="estuaryLatitude" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="create_by" jdbcType="VARCHAR" property="createBy" />
    <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
    <result column="alarm_info" jdbcType="VARCHAR" property="alarmInfo" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, outlet_code, outlet_name, outlet_number, factory_id, factory_name, monitoring_point_name,
    emission_method, drainage_direction, emission_behavior, intermittent_emission_period,
    receiving_sewage_plant_name, receiving_sewage_plant_code, receiving_water_name, receiving_target,
    estuary_name, estuary_code, outlet_longitude, outlet_latitude, receiving_sewage_plant_longitude,
    receiving_sewage_plant_latitude, estuary_longitude, estuary_latitude, update_time,
    create_time, create_by, update_by, alarm_info
  </sql>
</mapper>